summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2009-12-21 19:07:38 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2009-12-21 19:07:38 +0000
commit6705038130d9ebca2f6383b6d490a44f328b5e2e (patch)
tree59f210e517539163c2242639ef48de032bae6980 /eclass
parentVersion bump (diff)
downloadgentoo-2-6705038130d9ebca2f6383b6d490a44f328b5e2e.tar.gz
gentoo-2-6705038130d9ebca2f6383b6d490a44f328b5e2e.tar.bz2
gentoo-2-6705038130d9ebca2f6383b6d490a44f328b5e2e.zip
Allow for multiple documentation directories.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ruby-fakegem.eclass10
1 files changed, 6 insertions, 4 deletions
diff --git a/eclass/ruby-fakegem.eclass b/eclass/ruby-fakegem.eclass
index 837eab08f534..a4e45564e16d 100644
--- a/eclass/ruby-fakegem.eclass
+++ b/eclass/ruby-fakegem.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby-fakegem.eclass,v 1.6 2009/12/20 23:39:43 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby-fakegem.eclass,v 1.7 2009/12/21 19:07:38 flameeyes Exp $
#
# @ECLASS: ruby-fakegem.eclass
# @MAINTAINER:
@@ -267,9 +267,11 @@ each_ruby_install() {
# Install files common to all ruby targets.
all_fakegem_install() {
if [[ -n ${RUBY_FAKEGEM_DOCDIR} ]] && use doc; then
- pushd ${RUBY_FAKEGEM_DOCDIR}
- dohtml -r * || die "failed to install documentation"
- popd
+ for dir in ${RUBY_FAKEGEM_DOCDIR}; do
+ pushd ${dir}
+ dohtml -r * || die "failed to install documentation"
+ popd
+ done
fi
if [[ -n ${RUBY_FAKEGEM_EXTRADOC} ]]; then